/* 우측 하단 플로팅 */
.ms-fixed-btn-wr {
    display: none;
    position: fixed;
    right: 25px;
    bottom: 30px;
    z-index: 99;
}

.ms-fixed-btn-wr.on {
    display: block;
}

.ms-fixed-btn-wr .ms-promotion-btn {
    visibility: hidden;
    margin-bottom: 10px;
    backdrop-filter: blur(15px);
    -webkit-backdrop-filter: blur(15px);
    background: rgba(255, 0, 0, 0.8);
    border-radius: 20px;
    opacity: 0;
    transform: translateY(50px);
    transition: all 0.6s ease 1s;
}

.ms-fixed-btn-wr .ms-promotion-btn.on {
    visibility: visible;
    opacity: 1;
    transform: translateY(0);
}

.ms-fixed-btn-wr .ms-promotion-btn>a {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 6px;
    font-size: 0;
    height: 58px;
    width: 190px;
}

.ms-fixed-btn-wr .ms-promotion-btn>a>span {
    font-size: 15px;
    font-weight: 500;
    color: #fff;
}

.ms-fixed-btn-wr .ms-promotion-btn>a>img {
    width: 21px;
}

.ms-fixed-btn-wr .ms-sns-btn-wr {
    backdrop-filter: blur(15px);
    -webkit-backdrop-filter: blur(15px);
    background: rgba(249, 249, 249, 0.6);
    border-radius: 20px;
    height: 58px;
    display: flex;
    align-items: center;
    margin-left: auto;
    opacity: 0;
    visibility: hidden;
}

.ms-fixed-btn-wr .ms-sns-btn-wr[data-count="1"] {
    width: 80px;
}

.ms-fixed-btn-wr .ms-sns-btn-wr[data-count="2"] {
    width: 147px;
}

.ms-fixed-btn-wr .ms-sns-btn-wr[data-count="3"] {
    width: 210px;
}

.ms-fixed-btn-wr .ms-sns-btn-wr.on {
    opacity: 1;
    visibility: visible;
}

.ms-fixed-btn-wr .ms-sns-btn-wr>a {
    position: relative;
    font-size: 0;
    flex: 1;
    display: flex;
    align-items: center;
    justify-content: center;
}

.ms-fixed-btn-wr .ms-sns-btn-wr>a>img {
    width: 27px;
}

.ms-fixed-btn-wr .ms-sns-btn-wr>a:not(:last-child)::after {
    content: "";
    position: absolute;
    width: 0.75px;
    height: 26px;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
    background-color: rgba(206, 206, 206, 1);
}

@media all and (max-width: 900px) {
    .ms-fixed-btn-wr {
        right: 12px;
        bottom: 30px;
    }

    .ms-fixed-btn-wr .ms-promotion-btn {
        margin-bottom: 7px;
        border-radius: 15px;
    }

    .ms-fixed-btn-wr .ms-promotion-btn>a {
        height: 45px;
        width: 135px;
    }

    .ms-fixed-btn-wr .ms-promotion-btn>a>span {
        font-size: 11px;
    }

    .ms-fixed-btn-wr .ms-promotion-btn>a>img {
        width: 16px;
    }

    .ms-fixed-btn-wr .ms-sns-btn-wr {
        border-radius: 15px;
        height: 45px;
    }

    .ms-fixed-btn-wr .ms-sns-btn-wr[data-count="1"] {
        width: 60px;
    }

    .ms-fixed-btn-wr .ms-sns-btn-wr[data-count="2"] {
        width: 103px;
    }

    .ms-fixed-btn-wr .ms-sns-btn-wr[data-count="3"] {
        width: 150px;
    }

    .ms-fixed-btn-wr .ms-sns-btn-wr>a>img {
        width: 20px;
    }

    .ms-fixed-btn-wr .ms-sns-btn-wr>a:not(:last-child)::after {
        height: 18px;
    }
}